import { OnInit, ElementRef } from '@angular/core';
import { ReportConfig } from '../config.model';
import { PowerBiReportService } from '../powerbi-report.service';
export declare class ReportComponent implements OnInit {
    private dataService;
    reportConfig: ReportConfig;
    reportStyle: {};
    powerbihtml: any;
    screenHeight: number;
    reportContainer: ElementRef<any>;
    reportType: string;
    constructor(dataService: PowerBiReportService);
    ngOnInit(): void;
    getToken(): void;
    getURL(): string;
    showReport(reportid: any, reporturl: any, accessToken: any): void;
}
